fix branches of some modules
authorOswald Buddenhagen <oswald.buddenhagen@theqtcompany.com>
Wed, 27 Jan 2016 15:03:59 +0000 (16:03 +0100)
committerFrederik Gladhorn <frederik.gladhorn@theqtcompany.com>
Sun, 7 Feb 2016 09:10:14 +0000 (09:10 +0000)
all repos which are released (whichever way) need release branches.
and vice versa.
also, it needs to be the *right* release branch.

Task-number: QTBUG-50695
Change-Id: Id7b5d106d2d9bdf70e9d5276e205a3c7ea827144
Reviewed-by: Jędrzej Nowacki <jedrzej.nowacki@theqtcompany.com>
Reviewed-by: Robert Loehning <robert.loehning@theqtcompany.com>
Reviewed-by: Simon Hausmann <simon.hausmann@theqtcompany.com>
.gitmodules

index 4e2087b..6f4cf63 100644 (file)
@@ -74,7 +74,7 @@
        recommends = qtdeclarative qtlocation qtmultimedia qtsensors qtwebchannel qtxmlpatterns
        path = qtwebkit
        url = ../qtwebkit.git
-       branch = 5.6
+       branch = 5.6.0
        status = obsolete
        project = WebKit.pro
        priority = 20
@@ -82,7 +82,7 @@
        depends = qtwebkit qttools
        path = qtwebkit-examples
        url = ../qtwebkit-examples.git
-       branch = 5.6
+       branch = 5.6.0
        status = obsolete
 [submodule "qtqa"]
        depends = qtbase
        recommends = qtsvg qtxmlpatterns
        path = qtquick1
        url = ../qtquick1.git
-       branch = 5.6
+       branch = 5.6.0
        status = obsolete
 [submodule "qtgraphicaleffects"]
        depends = qtdeclarative
        depends = qtserialport
        path = qtserialbus
        url = ../qtserialbus.git
-       branch = 5.6
+       branch = 5.6.0
        status = preview
 [submodule "qtserialport"]
        depends = qtbase
        depends = qtdeclarative
        path = qtenginio
        url = ../qtenginio.git
-       branch = 1.6.0
+       branch = 5.6.0
        status = obsolete
 [submodule "qtwebsockets"]
        depends = qtbase
        recommends = qtdeclarative
        path = qtpurchasing
        url = ../qtpurchasing.git
-       branch = 5.6
+       branch = dev
        status = ignore